Skip to main content
Contracts

Get contract pay run dates

This method requires the Contract:PayRunDates permission to be associated with your role.

GET
/fm/contracts/{contract_id}/pay-run-dates
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringrequired

Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]